[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObject.ChangeOwner

Change the list owning the object.

## Declaration

Source position: contnrs.pp line 280

`public procedure TFPHashObject.ChangeOwner(`
`HashObjectList: TFPHashObjectList`
`);`

## Arguments

`HashObjectList` |  | Hash list in which to insert object.

## Description

ChangeOwner can be used to move the object between hash lists: The object will be removed correctly from the hash list that currently owns it, and will be inserted in the list HashObjectList.

## Errors

If an object with the same name already is present in the new hash list, an exception will be raised.

## See also

ChangeOwnerAndName |  | Simultaneously change the list owning the object and the name of the object.
Name |  | Current name of the object

The latest version of this document can be found at lazarus-ccr.sourceforge.net .